/*
 * @(#)CrossAboutBox.java   1.0 17/06/2000
 */
import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;

/**
 * CrossAboutBox.java - Credits dialog of Cross Process program.
 *
 * <p>
 * Description:
 * <p>
 * ===============================================================
 * <p>
 * This file contains routines for lauching a credits dialgo for 
 * the Cross Process program.  For more details of 
 * this process, refer to class notes of course CIV1127-Analise 
 * de Estruturas II, Dept. of Civil Engineering, PUC-Rio.
 *
 * <p>
 * ===============================================================
 *
 * @version    1.0 17/06/2000
 * @author     Luiz Fernando Martha
 * @author     Andre Cahn
 *
 */
class CrossAboutBox extends JDialog
{
  public CrossAboutBox(Frame owner) {
    super(owner, "About Cross Educational Tool", true);

    JPanel picons = new JPanel();
    picons.setLayout( new GridLayout( 2, 1 ) );
    JLabel lbl = new JLabel(new ImageIcon(getClass().getResource("images/brazaopucrio.gif")));
    Border b1 = new BevelBorder(BevelBorder.LOWERED);
    Border b2 = new EmptyBorder(5, 5, 5, 5);
    lbl.setBorder(new CompoundBorder(b1, b2));
    picons.add(lbl);

    lbl = new JLabel(new ImageIcon(getClass().getResource("images/logotecgraf.gif")));
    b1 = new BevelBorder(BevelBorder.LOWERED);
    b2 = new EmptyBorder(5, 5, 5, 5);
    lbl.setBorder(new CompoundBorder(b1, b2));
    picons.add(lbl);

    getContentPane().add(picons, BorderLayout.WEST);

    String message = "e-Cross: Cross Process of Continuous Beam\n"+
      "Copyright: Luiz Fernando Martha & Andr Cahn Nunes\n"+
      "Version 1.01, June 2000\n"+
      "Pontifical Catholic University of Rio de Janeiro - PUC-Rio\n"+
      "Department of Civil Engineering and\n"+
      "Technology Group on Computer Graphics - Tecgraf";
    JTextArea txt = new JTextArea(message);
    txt.setBorder(new EmptyBorder(5, 10, 5, 10));
    txt.setFont(new Font("Helvetica", Font.BOLD, 12));
    txt.setEditable(false);
    txt.setBackground(getBackground());
    JPanel p = new JPanel();
    p.setLayout(new BoxLayout(p, BoxLayout.Y_AXIS));
    p.add(txt);

    message = "This program demonstrates how the Cross Process\n"+
              "(Moment Distribution Method) works for a continuous beam.";
    txt = new JTextArea(message);
    txt.setBorder(new EmptyBorder(5, 10, 5, 10));
    txt.setFont(new Font("Arial", Font.PLAIN, 12));
    txt.setEditable(false);
    txt.setBackground(getBackground());
    p.add(txt);
    getContentPane().add(p, BorderLayout.CENTER);

    JButton btOK = new JButton("OK");
    ActionListener lst = new ActionListener() { 
      public void actionPerformed(ActionEvent e) {
        setVisible(false);
      }
    };
    btOK.addActionListener(lst);
    p = new JPanel();
    p.add(btOK);
    getContentPane().add(p, BorderLayout.SOUTH);

    pack();
    setResizable(false);
  }
}