/*
 * @(#)CrossInitFixRotSup.java   1.0 31/01/2000
 */
import java.awt.*;
import java.awt.geom.*;

 /**
  * This class defines the fixed rotation initial support figure of a  
  * continuous beam for the Cross Process.
  */
 class CrossInitFixRotSup
 {
  Point2D.Double toppont; 	  //* variable to draw the fix support.
  Point2D.Double fixeffct1;  	//* variable to draw the fix effect.
  Point2D.Double fixeffct2;  	//* variable to draw the fix effect.
  Point2D.Double fixeffct3; 	//* variable to draw the fix effect.
  Point2D.Double fixeffct4;  	//* variable to draw the fix effect
  Point2D.Double lowpont;	    //* variable to draw the fix support.

  Point2D.Double fixeffcttl;	//* variable to draw the fix effect.
  Point2D.Double fixeffct1l;	//* variable to draw the fix effect.
  Point2D.Double fixeffct2l;	//* variable to draw the fix effect.
  Point2D.Double fixeffct3l;	//* variable to draw the fix effect.
  Point2D.Double fixeffct4l; 	//* variable to draw the fix effect 
  Point2D.Double fixeffctll;	//* variable to draw the fix effect.

  Line2D.Double fixeffctlnt;	//* variable to draw the fix effect.
  Line2D.Double fixeffctln1;	//* variable to draw the fix effect.
  Line2D.Double fixeffctln2;	//* variable to draw the fix effect.
  Line2D.Double fixeffctln3;	//* variable to draw the fix effect.
  Line2D.Double fixeffctln4;	//* variable to draw the fix effect
  Line2D.Double fixeffctlnl;	//* variable to draw the fix effect.
  Line2D.Double supln;		//* variable to draw the fix support line.
 				
/*==========================  Constructor  =========================*/

  CrossInitFixRotSup()
  {
   toppont    = new Point2D.Double(  0.0,  0.866025 );
   fixeffct1  = new Point2D.Double(  0.0,  0.519615 );   
   fixeffct2  = new Point2D.Double(  0.0,  0.173205 );
   fixeffct3  = new Point2D.Double(  0.0, -0.173205 );
   fixeffct4  = new Point2D.Double(  0.0, -0.519615 );
   lowpont    = new Point2D.Double(  0.0, -0.866025 );
   
   fixeffcttl = new Point2D.Double( -0.4,  1.066025 );
   fixeffct1l = new Point2D.Double( -0.4,  0.719615 );
   fixeffct2l = new Point2D.Double( -0.4,  0.373205 );
   fixeffct3l = new Point2D.Double( -0.4,  0.026795 );
   fixeffct4l = new Point2D.Double( -0.4, -0.319615 );
   fixeffctll = new Point2D.Double( -0.4, -0.666025 );

   fixeffctlnt = new Line2D.Double( toppont,   fixeffcttl);
   fixeffctln1 = new Line2D.Double( fixeffct1, fixeffct1l);
   fixeffctln2 = new Line2D.Double( fixeffct2, fixeffct2l);
   fixeffctln3 = new Line2D.Double( fixeffct3, fixeffct3l);
   fixeffctln4 = new Line2D.Double( fixeffct4, fixeffct4l);
   fixeffctlnl = new Line2D.Double( lowpont,   fixeffctll);
   supln       = new Line2D.Double( toppont,   lowpont ); 
  }

 
/*=============================  draw  ============================*/
 /**
  * Draw the support figure.
  */
  void draw( Graphics2D g, double x, double y, double size )
  {
   double sizex = Math.abs( size );
   double sizey = size;
   supln.setLine( x + toppont.getX()*sizex, y + toppont.getY()*sizey, 
                   x + lowpont.getX()*sizex, y + lowpont.getY()*sizey );
   fixeffctlnl.setLine( x + lowpont.getX()*sizex, y + lowpont.getY()*sizey, 
                    x + fixeffctll.getX()*sizex, y + fixeffctll.getY()*sizey );
   fixeffctln3.setLine( x + fixeffct3.getX()*sizex, y + fixeffct3.getY()*sizey, 
                     x + fixeffct3l.getX()*sizex, y + fixeffct3l.getY()*sizey );
   fixeffctln2.setLine( x + fixeffct2.getX()*sizex, y + fixeffct2.getY()*sizey, 
                     x + fixeffct2l.getX()*sizex, y + fixeffct2l.getY()*sizey );
   fixeffctln1.setLine( x + fixeffct1.getX()*sizex, y + fixeffct1.getY()*sizey, 
                     x + fixeffct1l.getX()*sizex, y + fixeffct1l.getY()*sizey );
   fixeffctln4.setLine( x + fixeffct4.getX()*sizex, y + fixeffct4.getY()*sizey, 
                     x + fixeffct4l.getX()*sizex, y + fixeffct4l.getY()*sizey );
   fixeffctlnt.setLine( x + toppont.getX()*sizex, y + toppont.getY()*size, 
                     x + fixeffcttl.getX()*sizex, y + fixeffcttl.getY()*sizey );
  
   g.draw( supln );
   g.draw( fixeffctlnl );
   g.draw( fixeffctln4 );
   g.draw( fixeffctln3 );
   g.draw( fixeffctln2 );
   g.draw( fixeffctln1 );
   g.draw( fixeffctlnt );
  }
 }
 