/*
 * @(#)CrossInitFreeRotSup.java   1.0 31/01/2000
 */
import java.awt.*;
import java.awt.geom.*;

 /**
  * This class defines the free rotation initial support figure of a  
  * continuous beam for the Cross Process.
  */
 class CrossInitFreeRotSup  
 {
  Point2D.Double toppnt;	 /** top point of the triangular support figure.*/
  Point2D.Double leftpnt;	 /** left point of the triangular support image.*/
  Point2D.Double rightpnt; /** right point of the triangular support image.*/
  Point2D.Double grnd2up;	 /** variable to make the fixed support effect.*/
  Point2D.Double grnd3up;	 /** variable to make the fixed support effect.*/
  Point2D.Double grnd4up;	 /** variable to make the fixed support effect.*/
  Point2D.Double grnd1low; /** variable to make the fixed support effect.*/
  Point2D.Double grnd2low; /** variable to make the fixed support effect.*/
  Point2D.Double grnd3low; /** variable to make the fixed support effect.*/
  Point2D.Double grnd4low; /** variable to make the fixed support effect.*/
  Point2D.Double grnd5low; /** variable to make the fixed support effect.*/
  Line2D.Double leftline;	 /** variable to draw the support left line. */
  Line2D.Double rightline; /** variable to draw the support right line.*/
  Line2D.Double bottomline;/** variable to draw the support bottom line.*/
  Line2D.Double grdline1;	 /** variable to draw the fixed support effect.*/	
  Line2D.Double grdline2;	 /** variable to draw the fixed support effect.*/
  Line2D.Double grdline3;	 /** variable to draw the fixed support effect.*/
  Line2D.Double grdline4;	 /** variable to draw the fixed support effect.*/
  Line2D.Double grdline5;	 /** variable to draw the fixed support effect.*/

/*==========================  Constructor  =========================*/

  CrossInitFreeRotSup()
  {
   toppnt     = new Point2D.Double(  0.00,  0.00     );     
   leftpnt    = new Point2D.Double( -0.50, -0.866025 );
   grnd2up    = new Point2D.Double( -0.25, -0.866025 );
   grnd3up    = new Point2D.Double(  0.00, -0.866025 );
   grnd4up    = new Point2D.Double(  0.25, -0.866025 );
   rightpnt   = new Point2D.Double(  0.50, -0.866025 );
   
   grnd1low   = new Point2D.Double( -0.70, -1.14 );
   grnd2low   = new Point2D.Double( -0.45, -1.14 );
   grnd3low   = new Point2D.Double( -0.20, -1.14 );
   grnd4low   = new Point2D.Double(  0.05, -1.14 );
   grnd5low   = new Point2D.Double(  0.30, -1.14 );
   
   leftline   = new Line2D.Double( leftpnt,  toppnt );
   rightline  = new Line2D.Double( rightpnt, toppnt );
   bottomline = new Line2D.Double( leftpnt,  rightpnt );
   grdline1   = new Line2D.Double( leftpnt,  grnd1low );
   grdline2   = new Line2D.Double( grnd2up,  grnd2low );
   grdline3   = new Line2D.Double( grnd3up,  grnd3low );
   grdline4   = new Line2D.Double( grnd4up,  grnd4low );
   grdline5   = new Line2D.Double( rightpnt, grnd5low );
  }

/*=============================  draw  =============================*/
 /**
  * Draw the support figure.
  */
  void draw( Graphics2D g, double x, double y, double size )
  {
   double sizex = Math.abs( size );
   double sizey = size;
   leftline.setLine(   x + leftpnt.getX()*sizex,   y + leftpnt.getY()*sizey, 
                       x + toppnt.getX()*sizex,    y + toppnt.getY()*sizey );
   rightline.setLine(  x + rightpnt.getX()*sizex,  y + rightpnt.getY()*sizey,
                       x + toppnt.getX()*sizex,    y + toppnt.getY()*sizey );
   bottomline.setLine( x + leftpnt.getX()*sizex,   y + leftpnt.getY()*sizey,
                       x + rightpnt.getX()*sizex,  y + rightpnt.getY()*sizey );
   grdline1.setLine(   x + leftpnt.getX()*sizex,   y + leftpnt.getY()*sizey,
                       x + grnd1low.getX()* sizex, y + grnd1low.getY()*sizey );	 
   grdline2.setLine(   x + grnd2up.getX()*sizex,   y + grnd2up.getY()*sizey,
                       x + grnd2low.getX()* sizex, y + grnd2low.getY()*sizey );	 
   grdline3.setLine(   x + grnd3up.getX()*sizex,   y + grnd3up.getY()*sizey,
                       x + grnd3low.getX()* sizex, y + grnd3low.getY()*sizey );	 
   grdline4.setLine(   x + grnd4up.getX()*sizex,   y + grnd4up.getY()*sizey,
                       x + grnd4low.getX()* sizex, y + grnd4low.getY()*sizey );
   grdline5.setLine(   x + rightpnt.getX()*sizex,  y + rightpnt.getY()*sizey,
                       x + grnd5low.getX()* sizex, y + grnd5low.getY()*sizey );	 
   
   g.draw( leftline );
   g.draw( rightline );
   g.draw( bottomline );
   g.draw( grdline1 );
   g.draw( grdline2 );
   g.draw( grdline3 );
   g.draw( grdline4 );
   g.draw( grdline5 );
  }
 }